# Normally, themes may list CSS files like this, and if they exist in the theme
# folder, then they get added to the page. If they have the same file name as a
# module CSS file, then the theme's version overrides the module's version, so
# that the module's version is not added to the page. Additionally, a theme may
# have an entry like this one, without having the corresponding CSS file in the
# theme's folder, and in this case, it just stops the module's version from
# being loaded, and does not replace it with an alternate version. We have this
# here in order for a test to ensure that this correctly prevents the module
# version from being loaded, and that errors aren't caused by the lack of this
# file within the theme folder.
name: '<strong>Test theme</strong>'
type: theme
description: 'Theme for testing the theme system'
# version: VERSION
base theme: starterkit_theme
logo: images/logo2.svg
libraries:
  - test_theme/global-styling
libraries-override:
  # Replace an entire library.
  core/drupal.collapse: test_theme/collapse
  # Remove an entire library.
  core/drupal.progress: false
  # Replace particular library assets.
  starterkit_theme/base:
    css:
      component:
        css/components/button.css: css/my-button.css
        css/components/container-inline.css: /themes/my_theme/css/my-container-inline.css
        css/components/details.css: /themes/my_theme/css/my-details.css
  # Remove particular library assets.
  starterkit_theme/dialog:
    css:
      component:
        css/components/dialog.css: false
  system/base:
    css:
      component:
        /core/themes/stable9/css/system/components/js.module.css: false
  # It works for JS as well.
  core/drupal.batch:
    js:
      misc/batch.js: js/collapse.js
  # Use Drupal-relative paths.
  core/drupal.dropbutton:
    css:
      component:
        /core/themes/stable9/css/core/dropbutton/dropbutton.css: /themes/my_theme/css/dropbutton.css
  # Use stream wrappers.
  core/drupal.vertical-tabs:
    css:
      component:
        /core/themes/stable9/css/core/vertical-tabs.css: public://my_css/vertical-tabs.css
  # Use a protocol-relative URI.
  core/drupal.displace:
    js:
      misc/displace.js: //my-server/my_theme/js/overridden.js
  # Use an absolute URI.
  core/drupal.announce:
    js:
      misc/announce.js: http://example.com/my_theme/js/announce.js

regions:
  content: Content
  left: Left
  right: Right

# Information added by Drupal.org packaging script on 2025-03-19
version: '11.1.5'
project: 'drupal'
datestamp: 1742407917
